Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFRectangle

    java.lang.Object
      org.apache.fop.pdf.PDFRectangle

All Implemented Interfaces:
  PDFWritable

    public class PDFRectangle

extends java.lang.Object
implements PDFWritable

class representing a rectangle Rectangles are specified on page 183 of the PDF 1.3 spec.

Field Summary
`protected int` | `llx` lower left x coordinate
`protected int` | `lly` lower left y coordinate
`protected int` | `urx` upper right x coordinate
`protected int` | `ury` upper right y coordinate

Constructor Summary
`PDFRectangle(int[] array)` create a rectangle giving an array of four values
`PDFRectangle(int llx, int lly, int urx, int ury)` create a rectangle giving the four separate values

Method Summary
`void` | `outputInline(java.io.OutputStream out, java.lang.StringBuilder textBuffer)` Writes a "direct object" (inline object) representation to the stream.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### llx

    protected int llx

  lower left x coordinate

### lly

    protected int lly

  lower left y coordinate

### urx

    protected int urx

  upper right x coordinate

### ury

    protected int ury

  upper right y coordinate

Constructor Detail

### PDFRectangle

    public PDFRectangle(int llx,
                        int lly,
                        int urx,
                        int ury)

  create a rectangle giving the four separate values

  Parameters:
    `llx` - lower left x coordinate
    `lly` - lower left y coordinate
    `urx` - upper right x coordinate
    `ury` - upper right y coordinate

### PDFRectangle

    public PDFRectangle(int[] array)

  create a rectangle giving an array of four values

  Parameters:
    `array` - values in the order llx, lly, urx, ury

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### outputInline

    public void outputInline(java.io.OutputStream out,
                             java.lang.StringBuilder textBuffer)
                      throws java.io.IOException

  Writes a "direct object" (inline object) representation to the stream. A text buffer is given for optimized encoding of text content.

  IMPORTANT: If you need to write out binary output, call `PDFDocument.flushTextBuffer(StringBuilder, OutputStream)` before writing any content to the `OutputStream`!

  Specified by:
    `outputInline` in interface `PDFWritable`
  Parameters:
    `out` - the OutputStream (for binary content)
    `textBuffer` - the text buffer for text content
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.